Subject: bug#65459: completing-read INITIAL-VALUE unaware of COLLECTION and REQUIRE-MATCH

From: Heime <[email-masked]>
Date: Sun, 27 Aug 2023 16:35:33 +0000

Sent with Proton Mail secure email.

------- Original Message -------
On Monday, August 28th, 2023 at 4:26 AM, Stefan Monnier <[email-masked]> wrote:

> > Suppose I want to prefill the buffer with something, I should be allowed
> > to do that.
> 
> 
> Of course, and we do allow that.
> But you said:
> 
> I like it, others don't like it.
> 
> so what happens when "others" use your code?
> And what happens when you use others' code?
> 
> Neither is happy if the choice is made by the coder. OTOH if the choice
> is made by UI customization, then the coder doesn't need to worry about
> it and the both you and others get the behavior they like.
> 
> > The default only shows up when instructed, so not really
> > an automatic prefill of the minibuffer.
> 
> 
> Whether the default only shows up when instructed is a UI issue, which
> can/should be under control of a UI customization. - Stefan

I would need an example.  Suppose one changes the UI customization, would that
apply to all calls of that function ?  I would want prefilling occasionally.
Would that be possible ?

All these UI accept any entries by the user.  I am of the school of thought that
doing so automatically is also a valid operation.